package com.test.ejb;


import javax.ejb.Local;
import javax.ejb.Stateless;
import javax.enterprise.inject.Instance;
import javax.inject.Inject;


@Stateless
@Local(TestEJBInterface.class)
public class TestEJB implements TestEJBInterface {

    //@Inject
    private DependentCDIBean cdiBean;

    @Inject
    public TestEJB(DependentCDIBean cdiBean) {
        this.cdiBean = cdiBean;
    }

    // workaround inject Instance<> does not work either
    // NOTE: disable the other constructor to escape ambiguous @Inject constructors
    /*@Inject
    public TestEJB(Instance<DependentCDIBean> cdiBean) {
        this.cdiBean = cdiBean.get();
    }*/

    /*@Inject
    public void setCDIBean(DependentCDIBean cdiBean) {
        this.cdiBean = cdiBean;
    }*/

    public String method() {
        return "Injected bean is " + cdiBean;
    }
}
